### Method

# Gtk ListStoreset

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_set (
      GtkListStore* list_store,
      GtkTreeIter* iter,
      ...
    )

#### Description [src]

Sets the value of one or more cells in the row referenced by `iter`. The variable argument list should contain integer column numbers, each column number followed by the value to be set. The list is terminated by a -1. For example, to set column 0 with type `G_TYPE_STRING` to “Foo”, you would write `gtk_list_store_set (store, iter, 0, "Foo", -1)`.

The value will be referenced by the store if it is a `G_TYPE_OBJECT`, and it will be copied if it is a `G_TYPE_STRING` or `G_TYPE_BOXED`.

Deprecated since: 4.10

Use list models.

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_list_store_set_valuesv()` in language bindings

#### Parameters

`iter`

  Type: `GtkTreeIter`

  Row iterator.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Pairs of column number and value, terminated with -1